Bug 504009 - [patch] Samsung NC20 notebook uses the same keymap as NC10
[patch] Samsung NC20 notebook uses the same keymap as NC10
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: hal-info (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
: Patch
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-03 14:54 EDT by Chuck Ebbert
Modified: 2010-06-28 08:48 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 08:48:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch for /usr/share/hal/fdi/information/10freedesktop/30-keymap-misc.fdi (944 bytes, text/plain)
2009-06-03 14:54 EDT, Chuck Ebbert
no flags Details

  None (edit)
Description Chuck Ebbert 2009-06-03 14:54:34 EDT
Created attachment 346445 [details]
patch for /usr/share/hal/fdi/information/10freedesktop/30-keymap-misc.fdi

Brightness keys etc. don't work without this patch. A kernel patch to prevent the keys from repeating forever is also needed and will be in the first update kernel after release.
Comment 1 Bug Zapper 2009-06-09 13:03:23 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 JanS 2009-08-29 12:51:20 EDT
Same two things are needed for Samsung X360.

It needs kernel patch not to repeat keys forever (maybe all Samsung laptops need this patch by default?)
And X360 need to be added to HAL entry in 30-keymap-misc.fdi as well, in order to Fn + XX keys be working.
Comment 3 JanS 2009-08-29 14:46:22 EDT
See http://bugzilla.kernel.org/show_bug.cgi?id=14052 this bug tries to advertise one general solution for all such problems (not sending key-release events) by Samsung laptops (and all other if they will come in the future).

Solution is to introduce "--force-up" option for "setkeycodes". So that all fixes won't be needed in kernel driver, but could be manage by simple HAL quirks in 30-keymap-misc.fdi for a given laptop model.

I think both HAL and Kernel guys are needed to introduce such solution, but it is worth. For eg. number of bug reports will drop, now it is at least 3 bug reports for every single Samsung model.
Comment 4 Chuck Ebbert 2009-09-01 23:58:36 EDT
Still unfixed in Fedora 12... I had even attached a patch...
Comment 5 JanS 2009-09-02 16:13:16 EDT
Some people are waiting for this patch also on Fedora 11...

I hope also that HAL patch will come together with a patch prepared by Dmitry Torokhov for atkbd driver with force_release option (see http://bugzilla.kernel.org/show_bug.cgi?id=14052).
Comment 6 Paul Flo Williams 2009-11-03 09:01:09 EST
The above comments also apply to the Samsung X120. The system.hardware.product string for this model is "X120/X170".
Comment 7 Bug Zapper 2010-04-27 10:38:42 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2010-06-28 08:48:14 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.